#ifndef VDR_MPLAYERCLUSTER_H
#define VDR_MPLAYERCLUSTER_H

#include <vdr/plugin.h>

class cPluginMplayercluster : public cPlugin {
private:
	static const char *VERSION;
	static const char *DESCRIPTION;
	static const char *MAINMENUENTRY;

public:
  cPluginMplayercluster(void);
  virtual ~cPluginMplayercluster();
  virtual const char *Version(void) { return VERSION; }
  virtual const char *Description(void) { return DESCRIPTION; }
  virtual const char *CommandLineHelp(void);
  virtual bool ProcessArgs(int argc, char *argv[]);
  virtual bool Start(void);
  virtual void Housekeeping(void);
  virtual const char *MainMenuEntry(void) { return tr(MAINMENUENTRY); }
  virtual cOsdObject *MainMenuAction(void);
  virtual cMenuSetupPage *SetupMenu(void);
  virtual bool SetupParse(const char *Name, const char *Value);
};

#endif // VDR_MPLAYERCLUSTER_H
